Skip to content

Update an IdP

PUT
/api/v1/sso/organizations/{organization_id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/{organization_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "idp-new",
"sso_enabled": true
}'
  • Enables or disables IdP for a specific organization using its unique identifier (Use ToggleSSO Body Example).
  • Change the name of the IdP using its unique identifier (Use RenameIDp Body Example).
organization_id
required
string format: uuid

Example

019a7752-8aaa-7042-9c3e-bcbbe47f5e67

Unique identifier of the organization.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
name

New name for the Identity Provider (optional)

string

Example

idp-new
sso_enabled

Enable or disable SSO for the organization (optional)

boolean

Example

true

Organization updated successfully.

Media typeapplication/json
object
code
integer
data
object
organization
object
id
string format: uuid
ern
string
org_ref
string
name

Updated name of the organization.

string
email
string
nullable
domain
string
nullable
customer_id
string
status
string
Allowed values: ACTIVE INACTIVE
sso_enabled
boolean
created_at
string format: date-time
updated_at
string format: date-time
message
string
errors
object
message
string

Example

{
"code": 200,
"data": {
"organization": {
"id": "019a7752-8aaa-7042-9c3e-bcbbe47f5e68",
"ern": "ern:e2e:organizations::master-account:organization/019a7752-8aaa-7042-9c3e-bcbbe47f5e68",
"org_ref": "612214921370",
"name": "idp-new",
"email": null,
"domain": null,
"customer_id": "1790",
"status": "ACTIVE",
"sso_enabled": true,
"created_at": "2025-11-12T09:08:09.517189Z",
"updated_at": "2025-11-12T10:13:18.385387Z"
},
"message": "Organization \"idp-new\" updated successfully"
},
"errors": {},
"message": "Success"
}